package picoContainer.test2;

import org.picocontainer.Startable;

public class Girl implements Startable {
    private Kissable kissable;

    public Girl(Kissable kissable) {
    	System.out.println("Girl Constr");
        this.kissable = kissable;
    }

    public void kissSomeone() {
    	System.out.println("Girl Constr");
        kissable.kiss(this);
    }

	public void start() {
		kissable.kiss(this);
	}

	public void stop() {
	}
}